
package de.ivu.elect.business.wahl.control;

import javax.inject.Inject;
import javax.enterprise.event.Event;

import de.ivu.elect.business.wahl.entity.Wahltermin;
import de.ivu.elect.business.wahl.boundary.WahlterminDAO;
import de.ivu.elect.business.wahl.boundary.WahlterminCreateEvent;

// abgeleitete Klasse NICHT mit "@javax.ejb.Stateless" annotieren!
public abstract class AbstractWahlterminCreate {

  @Inject
  protected WahlterminDAO dao;

    @Inject
    transient Event<WahlterminCreateEvent> createEvent;



  


public void save(Wahltermin entity) {
    dao.persist(entity);
    sendCreateEvent(entity);
  }

  public void sendCreateEvent(Wahltermin entity) {
        createEvent.fire(new WahlterminCreateEvent(entity));
  }

}
